Index: trunk/lib/Text/FormBuilder/Parser.pm
===================================================================
--- trunk/lib/Text/FormBuilder/Parser.pm	(revision 1)
+++ trunk/lib/Text/FormBuilder/Parser.pm	(revision 10)
@@ -6642,5 +7104,5 @@
                                                                                               'argcode' => undef,
                                                                                               'lookahead' => 0,
-                                                                                              'line' => 34
+                                                                                              'line' => 46
                                                                                             }, 'Parse::RecDescent::Subrule' ),
                                                                                      bless( {
@@ -6653,5 +7115,5 @@
                                                                                               'repspec' => '?',
                                                                                               'lookahead' => 0,
-                                                                                              'line' => 34
+                                                                                              'line' => 46
                                                                                             }, 'Parse::RecDescent::Repetition' ),
                                                                                      bless( {
@@ -6664,5 +7126,5 @@
                                                                                               'repspec' => '?',
                                                                                               'lookahead' => 0,
-                                                                                              'line' => 34
+                                                                                              'line' => 46
                                                                                             }, 'Parse::RecDescent::Repetition' ),
                                                                                      bless( {
@@ -6675,5 +7137,5 @@
                                                                                               'repspec' => '?',
                                                                                               'lookahead' => 0,
-                                                                                              'line' => 34
+                                                                                              'line' => 46
                                                                                             }, 'Parse::RecDescent::Repetition' ),
                                                                                      bless( {
@@ -6686,5 +7148,5 @@
                                                                                               'repspec' => '?',
                                                                                               'lookahead' => 0,
-                                                                                              'line' => 34
+                                                                                              'line' => 46
                                                                                             }, 'Parse::RecDescent::Repetition' ),
                                                                                      bless( {
@@ -6697,5 +7159,5 @@
                                                                                               'repspec' => '?',
                                                                                               'lookahead' => 0,
-                                                                                              'line' => 34
+                                                                                              'line' => 46
                                                                                             }, 'Parse::RecDescent::Repetition' ),
                                                                                      bless( {
@@ -6708,5 +7170,5 @@
                                                                                               'repspec' => '?',
                                                                                               'lookahead' => 0,
-                                                                                              'line' => 34
+                                                                                              'line' => 46
                                                                                             }, 'Parse::RecDescent::Repetition' ),
                                                                                      bless( {
@@ -6719,10 +7181,10 @@
                                                                                               'repspec' => '?',
                                                                                               'lookahead' => 0,
-                                                                                              'line' => 34
+                                                                                              'line' => 46
                                                                                             }, 'Parse::RecDescent::Repetition' ),
                                                                                      bless( {
                                                                                               'hashname' => '__ACTION1__',
                                                                                               'lookahead' => 0,
-                                                                                              'line' => 35,
+                                                                                              'line' => 47,
                                                                                               'code' => '{
 	my $field = {
@@ -6759,5 +7221,5 @@
                                                   'name' => 'field',
                                                   'vars' => '',
-                                                  'line' => 34
+                                                  'line' => 46
                                                 }, 'Parse::RecDescent::Rule' ),
                               '_alternation_1_of_production_1_of_rule_form_spec' => bless( {
@@ -6785,5 +7247,5 @@
                                                                                                                                          'argcode' => undef,
                                                                                                                                          'lookahead' => 0,
-                                                                                                                                         'line' => 100
+                                                                                                                                         'line' => 112
                                                                                                                                        }, 'Parse::RecDescent::Subrule' )
                                                                                                                               ],
@@ -6805,13 +7267,13 @@
                                                                                                                                          'argcode' => undef,
                                                                                                                                          'lookahead' => 0,
-                                                                                                                                         'line' => 100
+                                                                                                                                         'line' => 112
                                                                                                                                        }, 'Parse::RecDescent::Subrule' )
                                                                                                                               ],
-                                                                                                                   'line' => 100
+                                                                                                                   'line' => 112
                                                                                                                  }, 'Parse::RecDescent::Production' )
                                                                                                         ],
                                                                                              'name' => '_alternation_1_of_production_1_of_rule_form_spec',
                                                                                              'vars' => '',
-                                                                                             'line' => 100
+                                                                                             'line' => 112
                                                                                            }, 'Parse::RecDescent::Rule' ),
                               'line' => bless( {
@@ -6836,5 +7298,5 @@
                                                                                              'name' => '<skip:\'[ \\t]*\'>',
                                                                                              'lookahead' => 0,
-                                                                                             'line' => 19,
+                                                                                             'line' => 31,
                                                                                              'code' => 'my $oldskip = $skip; $skip=\'[ \\t]*\'; $oldskip'
                                                                                            }, 'Parse::RecDescent::Directive' ),
@@ -6845,5 +7307,5 @@
                                                                                              'argcode' => undef,
                                                                                              'lookahead' => 0,
-                                                                                             'line' => 19
+                                                                                             'line' => 31
                                                                                            }, 'Parse::RecDescent::Subrule' ),
                                                                                     bless( {
@@ -6852,5 +7314,5 @@
                                                                                              'description' => '\'\\\\n\'',
                                                                                              'lookahead' => 0,
-                                                                                             'line' => 19
+                                                                                             'line' => 31
                                                                                            }, 'Parse::RecDescent::InterpLit' )
                                                                                   ],
@@ -6860,5 +7322,5 @@
                                                  'name' => 'line',
                                                  'vars' => '',
-                                                 'line' => 19
+                                                 'line' => 31
                                                }, 'Parse::RecDescent::Rule' ),
                               'option_list' => bless( {
@@ -6886,5 +7348,5 @@
                                                                                                     'argcode' => undef,
                                                                                                     'lookahead' => 0,
-                                                                                                    'line' => 81
+                                                                                                    'line' => 93
                                                                                                   }, 'Parse::RecDescent::Subrule' )
                                                                                          ],
@@ -6906,13 +7368,13 @@
                                                                                                     'argcode' => undef,
                                                                                                     'lookahead' => 0,
-                                                                                                    'line' => 81
+                                                                                                    'line' => 93
                                                                                                   }, 'Parse::RecDescent::Subrule' )
                                                                                          ],
-                                                                              'line' => 81
+                                                                              'line' => 93
                                                                             }, 'Parse::RecDescent::Production' )
                                                                    ],
                                                         'name' => 'option_list',
                                                         'vars' => '',
-                                                        'line' => 81
+                                                        'line' => 93
                                                       }, 'Parse::RecDescent::Rule' ),
                               '_alternation_1_of_production_1_of_rule_line' => bless( {
@@ -6944,5 +7406,5 @@
                                                                                                                                     'argcode' => undef,
                                                                                                                                     'lookahead' => 0,
-                                                                                                                                    'line' => 100
+                                                                                                                                    'line' => 112
                                                                                                                                   }, 'Parse::RecDescent::Subrule' )
                                                                                                                          ],
@@ -6964,8 +7426,8 @@
                                                                                                                                     'argcode' => undef,
                                                                                                                                     'lookahead' => 0,
-                                                                                                                                    'line' => 100
+                                                                                                                                    'line' => 112
                                                                                                                                   }, 'Parse::RecDescent::Subrule' )
                                                                                                                          ],
-                                                                                                              'line' => 100
+                                                                                                              'line' => 112
                                                                                                             }, 'Parse::RecDescent::Production' ),
                                                                                                      bless( {
@@ -6984,8 +7446,8 @@
                                                                                                                                     'argcode' => undef,
                                                                                                                                     'lookahead' => 0,
-                                                                                                                                    'line' => 100
+                                                                                                                                    'line' => 112
                                                                                                                                   }, 'Parse::RecDescent::Subrule' )
                                                                                                                          ],
-                                                                                                              'line' => 100
+                                                                                                              'line' => 112
                                                                                                             }, 'Parse::RecDescent::Production' ),
                                                                                                      bless( {
@@ -7004,8 +7466,8 @@
                                                                                                                                     'argcode' => undef,
                                                                                                                                     'lookahead' => 0,
-                                                                                                                                    'line' => 100
+                                                                                                                                    'line' => 112
                                                                                                                                   }, 'Parse::RecDescent::Subrule' )
                                                                                                                          ],
-                                                                                                              'line' => 100
+                                                                                                              'line' => 112
                                                                                                             }, 'Parse::RecDescent::Production' ),
                                                                                                      bless( {
@@ -7024,8 +7486,8 @@
                                                                                                                                     'argcode' => undef,
                                                                                                                                     'lookahead' => 0,
-                                                                                                                                    'line' => 100
+                                                                                                                                    'line' => 112
                                                                                                                                   }, 'Parse::RecDescent::Subrule' )
                                                                                                                          ],
-                                                                                                              'line' => 100
+                                                                                                              'line' => 112
                                                                                                             }, 'Parse::RecDescent::Production' ),
                                                                                                      bless( {
@@ -7044,13 +7506,13 @@
                                                                                                                                     'argcode' => undef,
                                                                                                                                     'lookahead' => 0,
-                                                                                                                                    'line' => 100
+                                                                                                                                    'line' => 112
                                                                                                                                   }, 'Parse::RecDescent::Subrule' )
                                                                                                                          ],
-                                                                                                              'line' => 100
+                                                                                                              'line' => 112
                                                                                                             }, 'Parse::RecDescent::Production' )
                                                                                                    ],
                                                                                         'name' => '_alternation_1_of_production_1_of_rule_line',
                                                                                         'vars' => '',
-                                                                                        'line' => 100
+                                                                                        'line' => 112
                                                                                       }, 'Parse::RecDescent::Rule' ),
                               'value' => bless( {
@@ -7077,5 +7539,5 @@
                                                                                               'argcode' => undef,
                                                                                               'lookahead' => 0,
-                                                                                              'line' => 90
+                                                                                              'line' => 102
                                                                                             }, 'Parse::RecDescent::Subrule' )
                                                                                    ],
@@ -7085,5 +7547,5 @@
                                                   'name' => 'value',
                                                   'vars' => '',
-                                                  'line' => 90
+                                                  'line' => 102
                                                 }, 'Parse::RecDescent::Rule' ),
                               '_alternation_1_of_production_1_of_rule_field_size' => bless( {
@@ -7111,5 +7573,5 @@
                                                                                                                                           'argcode' => undef,
                                                                                                                                           'lookahead' => 0,
-                                                                                                                                          'line' => 100
+                                                                                                                                          'line' => 112
                                                                                                                                         }, 'Parse::RecDescent::Subrule' )
                                                                                                                                ],
@@ -7131,13 +7593,13 @@
                                                                                                                                           'argcode' => undef,
                                                                                                                                           'lookahead' => 0,
-                                                                                                                                          'line' => 100
+                                                                                                                                          'line' => 112
                                                                                                                                         }, 'Parse::RecDescent::Subrule' )
                                                                                                                                ],
-                                                                                                                    'line' => 100
+                                                                                                                    'line' => 112
                                                                                                                   }, 'Parse::RecDescent::Production' )
                                                                                                          ],
                                                                                               'name' => '_alternation_1_of_production_1_of_rule_field_size',
                                                                                               'vars' => '',
-                                                                                              'line' => 100
+                                                                                              'line' => 112
                                                                                             }, 'Parse::RecDescent::Rule' ),
                               'name' => bless( {
@@ -7164,5 +7626,5 @@
                                                                                              'argcode' => undef,
                                                                                              'lookahead' => 0,
-                                                                                             'line' => 63
+                                                                                             'line' => 75
                                                                                            }, 'Parse::RecDescent::Subrule' )
                                                                                   ],
@@ -7172,5 +7634,5 @@
                                                  'name' => 'name',
                                                  'vars' => '',
-                                                 'line' => 63
+                                                 'line' => 75
                                                }, 'Parse::RecDescent::Rule' ),
                               'display_text' => bless( {
@@ -7194,5 +7656,5 @@
                                                                                                      'description' => '\'[\'',
                                                                                                      'lookahead' => 0,
-                                                                                                     'line' => 92
+                                                                                                     'line' => 104
                                                                                                    }, 'Parse::RecDescent::Literal' ),
                                                                                             bless( {
@@ -7202,5 +7664,5 @@
                                                                                                      'lookahead' => 0,
                                                                                                      'rdelim' => '/',
-                                                                                                     'line' => 92,
+                                                                                                     'line' => 104,
                                                                                                      'mod' => 'i',
                                                                                                      'ldelim' => '/'
@@ -7211,10 +7673,10 @@
                                                                                                      'description' => '\']\'',
                                                                                                      'lookahead' => 0,
-                                                                                                     'line' => 92
+                                                                                                     'line' => 104
                                                                                                    }, 'Parse::RecDescent::Literal' ),
                                                                                             bless( {
                                                                                                      'hashname' => '__ACTION1__',
                                                                                                      'lookahead' => 0,
-                                                                                                     'line' => 92,
+                                                                                                     'line' => 104,
                                                                                                      'code' => '{ $item[2] }'
                                                                                                    }, 'Parse::RecDescent::Action' )
@@ -7225,5 +7687,5 @@
                                                          'name' => 'display_text',
                                                          'vars' => '',
-                                                         'line' => 92
+                                                         'line' => 104
                                                        }, 'Parse::RecDescent::Rule' ),
                               'default' => bless( {
